Community
cancel
Showing results for 
Search instead for 
Did you mean: 
tupinamba__andre
Beginner
329 Views

SIGSEGV on amplxe-runss

Jump to solution

Hi,

We have a Linux box that I need to profile remotely. But it is failing to run `amplxe-runss -V` with a SIGSEGV (null pointer).

/var/mnt/disk0/misc/vtune_amplifier_2019.4.0.597835/bin64 # ./amplxe-runss -V
log4cplus:ERROR No appenders could be found for logger (perfrun.perfcollector).
log4cplus:ERROR Please initialize the log4cplus system properly.
amplxe: Fatal error: Unknown critical error
Aborted
 

Running under strace, the last lines before the SIGSEGV:

stat("/var/mnt/disk0/misc/vtune_amplifier_2019.4.0.597835/bin64/sep", {st_mode=S_IFREG|0755, st_size=381800, ...}) = 0            
uname({sysname="Linux", nodename="probe654", ...}) = 0                                                             
uname({sysname="Linux", nodename="probe654", ...}) = 0                                   
uname({sysname="Linux", nodename="probe654", ...}) = 0                                                                
mmap(NULL, 528384, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7fc9e7bd9000                     
write(2, "amplxe: Fatal error: Unknown cri"..., 44amplxe: Fatal error: Unknown critical error                   
) = 44                                                                                                             
--- SIGSEGV {si_signo=SIGSEGV, si_code=SEGV_MAPERR, si_addr=NULL} ---      

Please find the crash info attached

 

The environment is a Linux from scratch 

/var/mnt/disk0/misc/vtune_amplifier_2019.4.0.597835/bin64 # uname -a
Linux probe654 4.14.33 #1 SMP PREEMPT Wed Jul 24 05:49:14 IST 2019 x86_64 GNU/Linux

model name      : Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz

 

Any idea what can I do?

 

Many thanks

André Tupinambá

 

0 Kudos
1 Solution
Andrey_I_Intel
Employee
329 Views

Hi Andre,

We have seen a similar issue on very old systems like RHEL 6.3, which is not supported by VTune anymore. This looks like runtimes incompatibility but it was not looked into further. Try VTune 2019 Update 1, it was the last version that had support for RHEL 6.7 and lower.

BR,

Andrey

View solution in original post

8 Replies
Andrey_I_Intel
Employee
330 Views

Hi Andre,

We have seen a similar issue on very old systems like RHEL 6.3, which is not supported by VTune anymore. This looks like runtimes incompatibility but it was not looked into further. Try VTune 2019 Update 1, it was the last version that had support for RHEL 6.7 and lower.

BR,

Andrey

View solution in original post

tupinamba__andre
Beginner
329 Views

Hi Andrey,

I'll try to install this old version.

However, I tried to run the amplxe-runss on a chroot environment, simulating our hardware, on my machine (Ubuntu 18.04) and it failed as well. My guess relies on something missing in the filesystem. I have complete control of this Linux environment, if you have any guess of what it could be missing, please let me know.

Thank you

Best

André

tupinamba__andre
Beginner
329 Views

Andrey,

The 2019 update 1 worked.

Thank you again.

Best

André

Andrey_I_Intel
Employee
329 Views

Andre, could you please post your libc version? It can be checked by launching libc.so, for example like this on Ubuntu:

$ /lib/x86_64-linux-gnu/libc.so.6
GNU C Library (Ubuntu GLIBC 2.23-0ubuntu10) stable release version 2.23, by Roland McGrath et al.
Copyright (C) 2016 Free Software Foundation, Inc.
...

 

tupinamba__andre
Beginner
329 Views
CNX-atupinamba:~$ /lib/libc.so.6
GNU C Library (EGLIBC) stable release version 2.13, by Roland McGrath et al.
Copyright (C) 2011 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.
Compiled by GNU CC version 4.9.3.
Compiled on a Linux 4.1.15 system on 2018-10-17.
Available extensions:
        crypt add-on version 2.1 by Michael Glad and others
        GNU Libidn by Simon Josefsson
        Native POSIX Threads Library by Ulrich Drepper et al
        BIND-8.2.3-T5B
libc ABIs: UNIQUE IFUNC
For bug reporting instructions, please see:
<http://www.eglibc.org/issues/>.

Andrey_I_Intel
Employee
329 Views

My initial assumption was that the issue was observed on systems with fairly old glibc, and your eglibc version is dated 2011. Updating it to a more recent glibc release would probably fix it with the recent VTune releases, although I have doubts since you have already tried chroot.

tupinamba__andre
Beginner
329 Views

The chroot environment uses this old libc as well. I'll update it to check.

Thanks

tupinamba__andre
Beginner
329 Views

A small update on this.

We (finally) update the glibc on our environment, now with 2.25.

Now I was able to run the VTune 2019 update 8 without problems.

Thank you again.

Cheers

Reply